Redmine - Defect #8569

JRuby: PDF export error with TypeError
2011-06-09 05:33 - Toshi MARUYAMA

Status: Closed Start date: 2011-06-09
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 1.2.1

Resolution: Fixed Affected version: 1.2.0
Description

TypeError in IssuesController#show
can't convert nil into String

/REDMINE-2/hg-git/redmine/lib/redmine/export/pdf.rb:417:in " rdm_pdf_iconv'
/REDMINE-2/hg-git/redmine/lib/redmine/export/pdf.rb:101:in "~ fix_text_encoding'
/REDMINE-2/hg-git/redmine/lib/redmine/export/pdf.rb:109:in "RDMMultiCell'
/REDMINE-2/hg-git/redmine/lib/redmine/export/pdf.rb:276:in "issue_to_pdf'
/REDMINE-2/hg—-git/redmine/app/controllers/issues_controller.rb:124:in " show'
/REDMINE-2/hg-git/redmine/app/controllers/issues_controller.rb:120:in "~ show'

The reason

"0" can not be converted to Japanese SJIS.
source:trunk/test/unit/lib/redmine/export/pdf_test.ro@6013#L43

$ python

>>> 5 = "\xe7\x8b\x80\xe6\x85\x8b"
>>> print s

0o

>>> s.decode ("UTF-8") .encode ("SJIS")
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
UnicodeEncodeError: 'shift_jis' codec can't encode character u'\u72c0' in position 0: illegal mult
ibyte sequence
>>> s.decode ("UTF-8") .encode ("BIG5")
"\xaa\xac\xbaA'
>>> s.decode ("UTF-8")
u'\u72c0\u6lib'

Associated revisions

Revision 6024 - 2011-06-09 05:41 - Toshi MARUYAMA
PDF: replace all non ASCII characters to '?" if Iconv error raise in JRuby (#8569, #61).

History

#1 - 2011-06-10 02:22 - Toshi MARUYAMA

- Target version set to 1.2.1

#2 - 2011-06-10 05:37 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk and 1.2-stable,
https://www.redmine.org/projects/redmine/repository/svn/revisions/6013/entry/trunk/test/unit/lib/redmine/export/pdf_test.rb#L43
http://www.tcpdf.org

